#ifndef CHUNKHANDLERS_H
#define CHUNKHANDLERS_H

#include "lwoparser.h"

/* interface */
void ReadString(char* out, ChunkContext* ctx);
void ReadU16(uint16_t* out, ChunkContext* ctx);
void ReadU32(uint32_t* out, ChunkContext* ctx);
void ReadFloat4(float* out, ChunkContext* ctx);
void HandleDefault(ChunkContext* ctx);
void HandleFORM(ChunkContext* ctx);
void HandleSURF(ChunkContext* ctx);
void HandleTAGS(ChunkContext* ctx);
void HandlePNTS(ChunkContext* ctx);
void HandlePOLS(ChunkContext* ctx);
void HandlePTAG(ChunkContext* ctx);
void HandleLAYR(ChunkContext* ctx);
void HandleVMAP(ChunkContext* ctx);
void HandleVMAD(ChunkContext* ctx);
void HandleCLIP(ChunkContext* ctx);
void HandleCOLR_sub(ChunkContext* ctx);
void HandleSIZE_sub(ChunkContext* ctx);
void HandleBLOK_sub(ChunkContext* ctx);
void HandleIMAP_sub(ChunkContext* ctx);
void HandleTMAP_sub(ChunkContext* ctx);
void HandleIMAG_sub(ChunkContext* ctx);
void HandleSTIL_sub(ChunkContext* ctx);

#endif /* CHUNKHANDLERS_H */

