#ifndef HASH_H
#define HASH_H

#include "vec_pmypair.h"

typedef struct {
	Vec(PMyPair)	pairs;
} Hash;

Hash* hashNew(void);
void hashDelete(Hash* hash);
void hashConstruct(Hash* hash);
void hashDestroy(Hash* hash);
void hashInsert(Hash* hash, uint32_t key, uint32_t value);
uint32_t hashGetNumKeys(Hash* hash);
//const Vec(uint32_t)* hashGetByKey(Hash* hash, const uint32_t key);
MyPair* hashGetPair(Hash* hash, uint32_t i);

#endif	/* HASH_H */

