#ifndef MYPAIR_H
#define MYPAIR_H

#include "vec_uint32_t.h"

typedef struct {
	Vec(uint32_t)	vals;			/* polygons using material */
	uint32_t	key;			/* material number */
} MyPair;

typedef MyPair* PMyPair;

/* interface */
MyPair* mypairNew(uint32_t key);
void mypairDelete(MyPair* pair);
void mypairConstruct(MyPair* pair, uint32_t key);
void mypairDestroy(MyPair* pair);

#endif	/* MYPAIR_H */

