#include "ultraface.h"

inline void ultrafaceSetTriangle(UltraFace* uface, uint16_t a, uint16_t b, uint16_t c) {
	uface->ids[0] = a;
	uface->ids[1] = b;
	uface->ids[2] = c;
	uface->ids[3] = ULTRAFACE_EMPTY;
}

void ultrafaceSetQuad(UltraFace* uface, uint16_t a, uint16_t b, uint16_t c, uint16_t d) {
	uface->ids[0] = a;
	uface->ids[1] = b;
	uface->ids[2] = c;
	uface->ids[3] = d;
}

inline uint8_t ultrafaceGetVertexCount(const UltraFace* uface) {
	if(ULTRAFACE_EMPTY == uface->ids[3])
		return 3;
	return 4;
}

uint16_t ultrafaceGetIndex(const UltraFace* uface, uint8_t i) {
	return uface->ids[i];
}

