#ifndef ULTRAFACE_H
#define ULTRAFACE_H

#include <stdint.h>

#define	ULTRAFACE_EMPTY		0xFF			/*  */
#define	ULTRAFACE_MAX_IDS	4			/*  */

typedef struct {
	uint16_t	ids[ULTRAFACE_MAX_IDS];
} UltraFace;

/* interface */
void ultrafaceSetTriangle(UltraFace* uface, uint16_t a, uint16_t b, uint16_t c);
void ultrafaceSetQuad(UltraFace* uface, uint16_t a, uint16_t b, uint16_t c, uint16_t d);
uint8_t ultrafaceGetVertexCount(const UltraFace* uface);
uint16_t ultrafaceGetIndex(const UltraFace* uface, uint8_t i);

#endif	/* ULTRAFACE_H */

