#include "ultramaterial.h"

inline void ultramaterialSet(UltraMaterial* umaterial, const Vector3f* color, uint16_t texid) {
	umaterial->color = *color;
	umaterial->texid = texid;
}

inline const Vector3f* ultramaterialGetConstColor(const UltraMaterial* umaterial) {
	return &umaterial->color;
}

inline uint16_t ultramaterialGetTexture(const UltraMaterial* umaterial) {
	return umaterial->texid;
}

