#ifndef ULTRAMATERIAL_H
#define ULTRAMATERIAL_H

#include <stdint.h>
#include "vector.h"

#define	ULTRAMATERIAL_TEXTURE_NONE	0xFFFF			/*  */

typedef struct {
	Vector3f	color;
	uint16_t	texid;
} UltraMaterial;

typedef UltraMaterial* PUltraMaterial;

/* interface */
void ultramaterialSet(UltraMaterial* umaterial, const Vector3f* color, uint16_t texid);
const Vector3f* ultramaterialGetConstColor(const UltraMaterial* umaterial);
uint16_t ultramaterialGetTexture(const UltraMaterial* umaterial);

#endif	/* ULTRAMATERIAL_H */

