#include "ultravertex.h"

inline void ultravertexSetPosition(UltraVertex* vertex, int16_t x, int16_t y, int16_t z) {
	vertex->x = x;
	vertex->y = y;
	vertex->z = z;
}

inline void ultravertexSetTexcoords(UltraVertex* vertex, int16_t u, int16_t v) {
	vertex->u = u;
	vertex->v = v;
}

inline void ultravertexSetColor(UltraVertex* vertex, uint8_t r, uint8_t g, uint8_t b, uint8_t a) {
	vertex->r = r;
	vertex->g = g;
	vertex->b = b;
	vertex->a = a;
}

inline void ultravertexSetNormal(UltraVertex* vertex, int8_t x, uint8_t y, uint8_t z) {
	vertex->r = x;
	vertex->g = y;
	vertex->b = z;
	vertex->a = 0xFF;
}

