#ifndef ULTRAVERTEX_H
#define ULTRAVERTEX_H

#include <stdint.h>

typedef struct {
	int16_t	x,y,z;
	int16_t	u,v;
	uint8_t	r,g,b,a;
} UltraVertex;

/* interface */
void ultravertexSetPosition(UltraVertex* vertex, int16_t x, int16_t y, int16_t z);
void ultravertexSetTexcoords(UltraVertex* vertex, int16_t u, int16_t v);
void ultravertexSetColor(UltraVertex* vertex, uint8_t r, uint8_t g, uint8_t b, uint8_t a);
void ultravertexSetNormal(UltraVertex* vertex, int8_t x, uint8_t y, uint8_t z);

#endif	/* ULTRAVERTEX_H */

