#ifndef CLIP_H
#define CLIP_H

#include <stdint.h>

typedef struct {
	uint32_t	index;
	char*		name;
	uint32_t	width, height;
} Clip;

typedef Clip* PClip;

/* interface */
Clip* clipNew(uint32_t index, char* name);
void clipDelete(Clip* clip);
void clipConstruct(Clip* clip, uint32_t index, char* name);
void clipDestroy(Clip* clip);
uint32_t clipGetId(const Clip* clip);

#endif	/* CLIP_H */

