#include <malloc.h>
#include <string.h>
#include "file.h"

char* fileExtractTillLast(const char* filepath, char character) {
	size_t len = strlen(filepath) - strlen(fileExtractAfterLast(filepath, character));
	char* str = malloc(len + 1);
	strncpy(str, filepath, len);
	str[len] = '\0';

	return str;
}

const char* fileExtractAfterLast(const char* filepath, char character) {
	const char* str = strrchr(filepath, character);
	if(str)
		str += 1;
	return str;
}
