#include <stdarg.h>
#include <stdio.h>
#include "utils.h"

int vecchar_sprintf(Vec(char)* vec, const char* format, ...) {
	va_list va;
	size_t n;
	while(1) {
		va_start (va, format);
		size_t maxlen = vec->max_el - vec->num_el;
		if( (n = vsnprintf(vec->data + vec->num_el, maxlen, format, va)) < maxlen) {
			vec->num_el += n;
			break;
		}
		va_end(va);
		vecResize(char, vec);
	}
	va_end(va);

	return n;
}

