#include "vertex.h"

inline Vector3f* vertexGetPosition(Vertex* vertex) {
	return &vertex->pos;
}

inline Vector3f* vertexGetNormal(Vertex* vertex) {
	return &vertex->norm;
}

inline Vector2f* vertexGetTexCoords(Vertex* vertex) {
	return &vertex->tc;
}

inline const Vector3f* vertexGetConstPosition(const Vertex* vertex) {
	return &vertex->pos;
}

inline const Vector3f* vertexGetConstNormal(const Vertex* vertex) {
	return &vertex->norm;
}

inline const Vector2f* vertexGetConstTexCoords(const Vertex* vertex) {
	return &vertex->tc;
}

